Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicEditorPaneUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.TextUI
                  |
                  +--javax.swing.plaf.basic.BasicTextUI
                        |
                        +--javax.swing.plaf.basic.BasicEditorPaneUI

All Implemented Interfaces:
  ViewFactory

Direct Known Subclasses:
  BasicTextPaneUI

public class BasicEditorPaneUI
extends BasicTextUI

Provides the look and feel for a JEditorPane.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

Nested Class Summary

Nested classes inherited from class javax.swing.plaf.basic.BasicTextUI
`BasicTextUI.BasicCaret, BasicTextUI.BasicHighlighter`

Constructor Summary
`BasicEditorPaneUI()` Creates a new BasicEditorPaneUI.

Method Summary
`static ComponentUI` | `createUI(JComponent c)` Creates a UI for the JTextPane.
`EditorKit` | `getEditorKit(JTextComponent tc)` Fetches the EditorKit for the UI.
`protected String` | `getPropertyPrefix()` Fetches the name used as a key to lookup properties through the UIManager.
`protected void` | `propertyChange(PropertyChangeEvent evt)` This method gets called when a bound property is changed on the associated JTextComponent.

Methods inherited from class javax.swing.plaf.basic.BasicTextUI
`create, create, createCaret, createHighlighter, createKeymap, damageRange, damageRange, getComponent, getKeymapName, getMaximumSize, getMinimumSize, getNextVisualPositionFrom, getPreferredSize, getRootView, getToolTipText, getVisibleEditorRect, installDefaults, installKeyboardActions, installListeners, installUI, modelChanged, modelToView, modelToView, paint, paintBackground, paintSafely, setView, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, update, viewToModel, viewToModel`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicEditorPaneUI

    public BasicEditorPaneUI()

  Creates a new BasicEditorPaneUI.

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

  Creates a UI for the JTextPane.

  Parameters:
    `c` - the JTextPane component
  Returns:
    the UI

### getPropertyPrefix

    protected String getPropertyPrefix()

  Fetches the name used as a key to lookup properties through the UIManager. This is used as a prefix to all the standard text properties.

  Specified by:
    `getPropertyPrefix` in class `BasicTextUI`
  Returns:
    the name ("EditorPane")

### getEditorKit

    public EditorKit getEditorKit(JTextComponent tc)

  Fetches the EditorKit for the UI. This is whatever is currently set in the associated JEditorPane.

  Overrides:
    `getEditorKit` in class `BasicTextUI`
  Parameters:
    `tc` - the text component for which this UI is installed
  Returns:
    the editor capabilities
  See Also:
    `TextUI.getEditorKit(javax.swing.text.JTextComponent)`

### propertyChange

    protected void propertyChange(PropertyChangeEvent evt)

  This method gets called when a bound property is changed on the associated JTextComponent. This is a hook which UI implementations may change to reflect how the UI displays bound properties of JTextComponent subclasses. This is implemented to rebuild the ActionMap based upon an EditorKit change.

  Overrides:
    `propertyChange` in class `BasicTextUI`
  Parameters:
    `evt` - the property change event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.